Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class CreateCustomRoleObjectTypes
    Inherits BaseObject

    Private _Role As Role
    Private _MissingObjectType As String
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property Role As Role
        Get
            Return _Role
        End Get
        Set(ByVal value As Role)
            SetPropertyValue("Role", _Role, value)
        End Set
    End Property
    Property MissingObjectType As String
        Get
            Return _MissingObjectType
        End Get
        Set(value As String)
            SetPropertyValue("MissingObjectType", _MissingObjectType, value)
        End Set
    End Property
End Class
